aboutsummaryrefslogtreecommitdiffstats
path: root/testing/gucharmap/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-10-22 20:20:46 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-10-22 20:20:46 +0000
commit3636549f72d7a0e489474dcc4c39c87716941b1e (patch)
tree7b996d6427c779bc35b3d3f2c4b749d38ea192cf /testing/gucharmap/APKBUILD
parent3226dccdcf9068f9b4be0fe625690bd355dcec4d (diff)
downloadaports-3636549f72d7a0e489474dcc4c39c87716941b1e.tar.gz
aports-3636549f72d7a0e489474dcc4c39c87716941b1e.tar.bz2
aports-3636549f72d7a0e489474dcc4c39c87716941b1e.tar.xz
testing/gucharmap: new aport
the GNOME Character Map, based on the Unicode Character Database http://live.gnome.org/Gucharmap
Diffstat (limited to 'testing/gucharmap/APKBUILD')
-rw-r--r--testing/gucharmap/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/testing/gucharmap/APKBUILD b/testing/gucharmap/APKBUILD
new file mode 100644
index 0000000000..9ee4fc2be7
--- /dev/null
+++ b/testing/gucharmap/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor:
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gucharmap
+pkgver=2.32.0
+pkgrel=0
+pkgdesc="the GNOME Character Map, based on the Unicode Character Database"
+url="http://live.gnome.org/Gucharmap"
+license="GPL"
+depends=
+makedepends="gtk+-dev"
+install=
+subpackages="$pkgname-dev"
+source="http://ftp.gnome.org/pub/GNOME/sources/gucharmap/${pkgver%.*}/gucharmap-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --disable-gconf \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="1a2eb13af8e2c51a811b96748378d351 gucharmap-2.32.0.tar.bz2"